Feed a segment-entered trigger
curl --request POST \
--url https://api.onchainsuite.com/api/v1/v2/automations/runtime/triggers/segment-entered \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"segmentId": "<string>",
"contactId": "<string>",
"email": "jsmith@example.com",
"walletAddress": "<string>",
"sourceEventId": "<string>"
}
'import requests
url = "https://api.onchainsuite.com/api/v1/v2/automations/runtime/triggers/segment-entered"
payload = {
"segmentId": "<string>",
"contactId": "<string>",
"email": "jsmith@example.com",
"walletAddress": "<string>",
"sourceEventId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
segmentId: '<string>',
contactId: '<string>',
email: 'jsmith@example.com',
walletAddress: '<string>',
sourceEventId: '<string>'
})
};
fetch('https://api.onchainsuite.com/api/v1/v2/automations/runtime/triggers/segment-entered', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.onchainsuite.com/api/v1/v2/automations/runtime/triggers/segment-entered",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'segmentId' => '<string>',
'contactId' => '<string>',
'email' => 'jsmith@example.com',
'walletAddress' => '<string>',
'sourceEventId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.onchainsuite.com/api/v1/v2/automations/runtime/triggers/segment-entered"
payload := strings.NewReader("{\n \"segmentId\": \"<string>\",\n \"contactId\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"walletAddress\": \"<string>\",\n \"sourceEventId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.onchainsuite.com/api/v1/v2/automations/runtime/triggers/segment-entered")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"segmentId\": \"<string>\",\n \"contactId\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"walletAddress\": \"<string>\",\n \"sourceEventId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.onchainsuite.com/api/v1/v2/automations/runtime/triggers/segment-entered")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"segmentId\": \"<string>\",\n \"contactId\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"walletAddress\": \"<string>\",\n \"sourceEventId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"matchedAutomations": 123,
"entries": [
{
"automationId": "<string>",
"entryId": "<string>",
"queued": true,
"duplicate": true
}
]
}Feed a segment-entered trigger
Tell the platform a contact entered a segment, to start matching automations. Identify the contact by any of contactId, email, or walletAddress.
POST
/
v2
/
automations
/
runtime
/
triggers
/
segment-entered
Feed a segment-entered trigger
curl --request POST \
--url https://api.onchainsuite.com/api/v1/v2/automations/runtime/triggers/segment-entered \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"segmentId": "<string>",
"contactId": "<string>",
"email": "jsmith@example.com",
"walletAddress": "<string>",
"sourceEventId": "<string>"
}
'import requests
url = "https://api.onchainsuite.com/api/v1/v2/automations/runtime/triggers/segment-entered"
payload = {
"segmentId": "<string>",
"contactId": "<string>",
"email": "jsmith@example.com",
"walletAddress": "<string>",
"sourceEventId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
segmentId: '<string>',
contactId: '<string>',
email: 'jsmith@example.com',
walletAddress: '<string>',
sourceEventId: '<string>'
})
};
fetch('https://api.onchainsuite.com/api/v1/v2/automations/runtime/triggers/segment-entered', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.onchainsuite.com/api/v1/v2/automations/runtime/triggers/segment-entered",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'segmentId' => '<string>',
'contactId' => '<string>',
'email' => 'jsmith@example.com',
'walletAddress' => '<string>',
'sourceEventId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.onchainsuite.com/api/v1/v2/automations/runtime/triggers/segment-entered"
payload := strings.NewReader("{\n \"segmentId\": \"<string>\",\n \"contactId\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"walletAddress\": \"<string>\",\n \"sourceEventId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.onchainsuite.com/api/v1/v2/automations/runtime/triggers/segment-entered")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"segmentId\": \"<string>\",\n \"contactId\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"walletAddress\": \"<string>\",\n \"sourceEventId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.onchainsuite.com/api/v1/v2/automations/runtime/triggers/segment-entered")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"segmentId\": \"<string>\",\n \"contactId\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"walletAddress\": \"<string>\",\n \"sourceEventId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"matchedAutomations": 123,
"entries": [
{
"automationId": "<string>",
"entryId": "<string>",
"queued": true,
"duplicate": true
}
]
}Authorizations
Your secret key, for example sk_live_.... Send it as Authorization: Bearer sk_live_.... A sk_test_... key runs in test mode.
Body
application/json

